> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get By Name

> Returns the specified job by name.



## OpenAPI

````yaml https://api.nebius.cloud/openapi.json get /ai/v1/jobs/get-by-name
openapi: 3.0.3
info:
  title: Nebius API
  version: version not set
servers:
  - url: https://api.nebius.cloud
security:
  - bearerAuth: []
tags:
  - name: nebius.ai.v1.EndpointService
  - name: nebius.ai.v1.JobService
  - name: nebius.applications.v1alpha1.K8sReleaseService
  - name: nebius.audit.v2.AuditEventExportService
  - name: nebius.audit.v2.AuditEventService
  - name: nebius.billing.v1.CalculatorService
  - name: nebius.billing.v1alpha1.CalculatorService
  - name: nebius.billing.v1alpha1.OneTimeExportService
  - name: nebius.capacity.v1.CapacityAllowanceService
  - name: nebius.capacity.v1.CapacityBlockGroupService
  - name: nebius.capacity.v1.CapacityIntervalService
  - name: nebius.capacity.v1.ResourceAdviceService
  - name: nebius.compute.v1.DiskService
  - name: nebius.compute.v1.DiskSnapshotService
  - name: nebius.compute.v1.FilesystemService
  - name: nebius.compute.v1.GpuClusterService
  - name: nebius.compute.v1.ImageService
  - name: nebius.compute.v1.InstanceService
  - name: nebius.compute.v1.MaintenanceService
  - name: nebius.compute.v1.NVLInstanceGroupService
  - name: nebius.compute.v1.NodeService
  - name: nebius.compute.v1.PlatformService
  - name: nebius.dns.v1.RecordService
  - name: nebius.dns.v1.ZoneService
  - name: nebius.iam.v1.AccessKeyService
  - name: nebius.iam.v1.AccessPermitService
  - name: nebius.iam.v1.AuthPublicKeyService
  - name: nebius.iam.v1.FederatedCredentialsService
  - name: nebius.iam.v1.FederationCertificateService
  - name: nebius.iam.v1.FederationService
  - name: nebius.iam.v1.GroupMembershipService
  - name: nebius.iam.v1.GroupService
  - name: nebius.iam.v1.InvitationService
  - name: nebius.iam.v1.ProfileService
  - name: nebius.iam.v1.ProjectService
  - name: nebius.iam.v1.ServiceAccountService
  - name: nebius.iam.v1.SessionManagementService
  - name: nebius.iam.v1.StaticKeyService
  - name: nebius.iam.v1.TenantService
  - name: nebius.iam.v1.TenantUserAccountService
  - name: nebius.iam.v1.TenantUserAccountWithAttributesService
  - name: nebius.iam.v2.AccessKeyService
  - name: nebius.iam.v2.ProjectService
  - name: nebius.iam.v2.TenantService
  - name: nebius.kms.v1.AsymmetricCryptoService
  - name: nebius.kms.v1.AsymmetricKeyService
  - name: nebius.kms.v1.SymmetricCryptoService
  - name: nebius.kms.v1.SymmetricKeyService
  - name: nebius.logging.agentmanager.v1.VersionService
  - name: nebius.logging.v1.LogExportService
  - name: nebius.maintenance.v1alpha1.MaintenanceService
  - name: nebius.mk8s.v1.ClusterService
  - name: nebius.mk8s.v1.NodeGroupService
  - name: nebius.mk8s.v1alpha1.ClusterService
  - name: nebius.mk8s.v1alpha1.NodeGroupService
  - name: nebius.msp.mlflow.v1alpha1.ClusterService
  - name: nebius.msp.postgresql.v1alpha1.BackupService
  - name: nebius.msp.postgresql.v1alpha1.ClusterService
  - name: nebius.mysterybox.v1.PayloadService
  - name: nebius.mysterybox.v1.SecretService
  - name: nebius.mysterybox.v1.SecretVersionService
  - name: nebius.quotas.v1.QuotaAllowanceService
  - name: nebius.registry.v1.ArtifactService
  - name: nebius.registry.v1.RegistryService
  - name: nebius.storage.v1.BucketService
  - name: nebius.storage.v1.TransferService
  - name: nebius.storage.v1alpha1.TransferService
  - name: nebius.tunnel.v1.TunnelService
  - name: nebius.vpc.v1.AllocationService
  - name: nebius.vpc.v1.NetworkService
  - name: nebius.vpc.v1.PoolService
  - name: nebius.vpc.v1.RouteService
  - name: nebius.vpc.v1.RouteTableService
  - name: nebius.vpc.v1.SecurityGroupService
  - name: nebius.vpc.v1.SecurityRuleService
  - name: nebius.vpc.v1.SubnetService
  - name: nebius.vpc.v1.TargetGroupService
  - name: nebius.vpc.v1alpha1.AllocationService
  - name: nebius.vpc.v1alpha1.NetworkService
  - name: nebius.vpc.v1alpha1.PoolService
  - name: nebius.vpc.v1alpha1.ScopeService
  - name: nebius.vpc.v1alpha1.SubnetService
paths:
  /ai/v1/jobs/get-by-name:
    get:
      tags:
        - nebius.ai.v1.JobService
      summary: Get By Name
      description: Returns the specified job by name.
      operationId: JobService_GetByName
      parameters:
        - in: query
          name: parentId
          required: true
          schema:
            type: string
        - in: query
          name: name
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1Job'
          description: A successful response.
components:
  schemas:
    v1Job:
      description: Represents a job with a specified workload.
      properties:
        metadata:
          $ref: '#/components/schemas/commonV1ResourceMetadata'
        spec:
          $ref: '#/components/schemas/v1JobSpec'
        status:
          $ref: '#/components/schemas/v1JobStatus'
      type: object
    commonV1ResourceMetadata:
      description: Common resource metadata.
      properties:
        createdAt:
          description: Timestamp indicating when the resource was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: Identifier for the resource, unique for its resource type.
          type: string
        labels:
          additionalProperties:
            type: string
          description: Labels associated with the resource.
          type: object
        name:
          description: Human readable name for the resource.
          type: string
        parentId:
          description: Identifier of the parent resource to which the resource belongs.
          type: string
        resourceVersion:
          description: >-
            Version of the resource for safe concurrent modifications and
            consistent reads.

            Positive and monotonically increases on each resource spec change
            (but *not* on each change of the

            resource's container(s) or status).

            Service allows zero value or current.
          format: int64
          type: string
        updatedAt:
          description: Timestamp indicating when the resource was last updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - parentId
      type: object
    v1JobSpec:
      description: JobSpec defines a job that will be run.
      properties:
        args:
          description: The arguments to pass to the entrypoint command.
          type: string
        containerCommand:
          description: The entrypoint command for the job's container.
          type: string
        disk:
          $ref: '#/components/schemas/v1JobSpecDiskSpec'
        environmentVariables:
          description: Specifies the environment variables for the job's container.
          items:
            $ref: '#/components/schemas/v1JobSpecEnvironmentVariable'
          type: array
        image:
          description: The Docker image to use for the job's container.
          type: string
        injectedFiles:
          description: >-
            Small config files injected into the container before the user
            process

            starts. Intended for configs, not datasets.
          items:
            $ref: '#/components/schemas/v1JobSpecFileInjection'
          type: array
        platform:
          description: Compute platform that the job will be run on.
          type: string
        ports:
          description: Specifies the ports that the job exposes.
          items:
            $ref: '#/components/schemas/v1JobSpecPort'
          type: array
        preemptible:
          description: >-
            Whether to use a preemptible VM for the job.

            Preemptible VMs are cheaper but can be stopped by the platform at
            any time.
          type: boolean
        preset:
          description: Compute preset that the job will be run on.
          type: string
        publicIp:
          description: Whether to assign a public IP to the job.
          type: boolean
        registryCredentials:
          $ref: '#/components/schemas/v1JobSpecRegistryCredentials'
        restartAttempts:
          description: Restart attempts for the job.
          format: int64
          type: string
        shmSizeBytes:
          description: Shared memory size in bytes for the job's container.
          format: int64
          type: string
        sshAuthorizedKeys:
          description: Public keys to be authorized for SSH access to the job.
          items:
            type: string
          type: array
        subnetId:
          description: Subnet ID where the job will be deployed.
          type: string
        timeout:
          description: Job timeout.
          type: string
        volumes:
          description: Volumes to be mounted into the job's container.
          items:
            $ref: '#/components/schemas/v1JobSpecVolumeMount'
          type: array
        workingDir:
          description: The working directory for the job's container.
          type: string
      required:
        - image
        - platform
        - preset
        - disk
        - subnetId
      type: object
    v1JobStatus:
      description: JobStatus represents the status of a VM app.
      properties:
        finishedAt:
          description: Time when the job workload finished.
          format: date-time
          type: string
        instances:
          description: Status of individual job instances.
          items:
            $ref: '#/components/schemas/v1JobInstanceStatus'
          type: array
        privateEndpoints:
          description: Private endpoints to access the workload.
          items:
            type: string
          type: array
        publicEndpoints:
          description: Public endpoints to access the workload.
          items:
            type: string
          type: array
        startedAt:
          description: Time when the job workload started.
          format: date-time
          type: string
        state:
          $ref: '#/components/schemas/v1JobStatusState'
        stateDetails:
          $ref: '#/components/schemas/v1JobStateDetails'
      type: object
    v1JobSpecDiskSpec:
      properties:
        sizeBytes:
          description: Disk size in bytes.
          format: int64
          type: string
        type:
          $ref: '#/components/schemas/nebiusComputeV1DiskSpecDiskType'
      required:
        - type
      type: object
    v1JobSpecEnvironmentVariable:
      description: >-
        EnvironmentVariable defines an environment variable for the endpoint's
        container.
      properties:
        mysteryboxSecret:
          $ref: '#/components/schemas/v1JobSpecMysteryBoxSecretRef'
        name:
          description: The name of the environment variable.
          type: string
        value:
          description: |-
            Environment variable value.
            Mutually exclusive with `mysterybox_secret`.
          type: string
      required:
        - name
      type: object
    v1JobSpecFileInjection:
      description: FileInjection materializes a small file inside the container at launch.
      properties:
        containerPath:
          description: |-
            Absolute path inside the container where the content is written.

            Must be a clean absolute path: root, trailing slashes, empty path
            segments, "." and ".." are not allowed.
          type: string
        content:
          description: >-
            File content. Between 1 byte and 64 KiB (one mystery box secret
            payload).


            Not returned by read methods.
          format: byte
          type: string
      required:
        - containerPath
      type: object
    v1JobSpecPort:
      properties:
        containerPort:
          description: Container port.
          format: int32
          type: integer
        hostPort:
          description: |-
            Host port.

            If not specified, will be same as container_port.
          format: int32
          type: integer
        protocol:
          $ref: '#/components/schemas/v1JobSpecPortProtocol'
      required:
        - protocol
      type: object
    v1JobSpecRegistryCredentials:
      properties:
        mysteryboxSecretVersion:
          description: |-
            Secret version storing the registry credentials.
            Must have keys "REGISTRY_USERNAME" and "REGISTRY_PASSWORD".
          type: string
        password:
          description: Registry password for private Docker registry.
          type: string
        username:
          description: Registry username for private Docker registry.
          type: string
      type: object
    v1JobSpecVolumeMount:
      description: VolumeMount represents a volume mount for the endpoint's container.
      properties:
        containerPath:
          description: |-
            Path inside the endpoint's container where the volume is mounted.

            Must be an absolute path.
          type: string
        mode:
          $ref: '#/components/schemas/v1JobSpecVolumeMountMode'
        s3Config:
          $ref: '#/components/schemas/v1JobSpecVolumeMountS3Config'
        source:
          description: >-
            Source of the volume mount.


            Can be a name or an ID of Nebius Storage bucket or filesystem,

            or an S3 URI (e.g. "s3://bucket-name") when using external S3
            storage.
          type: string
        sourcePath:
          description: |-
            Path inside the source volume.

            Optional.
          type: string
      required:
        - mode
      type: object
    v1JobInstanceStatus:
      description: JobInstanceStatus represents the status of a job instance.
      properties:
        computeInstanceId:
          description: ID of the compute instance running the job.
          type: string
        computeInstanceState:
          $ref: '#/components/schemas/InstanceStatusInstanceState'
        privateIp:
          description: Private IP address of the instance.
          type: string
        publicIp:
          description: Public IP address of the instance.
          type: string
        state:
          $ref: '#/components/schemas/v1JobInstanceStatusState'
      type: object
    v1JobStatusState:
      default: STATE_UNSPECIFIED
      description: |-
        Job state.

         - PROVISIONING: The job is creating resources.
         - STARTING: The job is being started.
         - RUNNING: The job is running.
         - CANCELLING: The job is being cancelled.
         - DELETING: The job is being deleted.
         - COMPLETED: The job has successfully completed.
         - FAILED: The job has failed.
         - CANCELLED: The job has been cancelled.
         - ERROR: The job encountered an internal error.
         - IMAGE_PULLING: The job is pulling an image (STARTING -> IMAGE_PULLING -> RUNNING).
      enum:
        - STATE_UNSPECIFIED
        - PROVISIONING
        - STARTING
        - RUNNING
        - CANCELLING
        - DELETING
        - COMPLETED
        - FAILED
        - CANCELLED
        - ERROR
        - IMAGE_PULLING
      type: string
    v1JobStateDetails:
      description: Job state details.
      properties:
        code:
          description: Short state description.
          type: string
        message:
          description: Detailed human-readable description.
          type: string
        serviceError:
          $ref: '#/components/schemas/v1ServiceError'
      type: object
    nebiusComputeV1DiskSpecDiskType:
      default: UNSPECIFIED
      enum:
        - UNSPECIFIED
        - NETWORK_SSD
        - NETWORK_HDD
        - NETWORK_SSD_NON_REPLICATED
        - NETWORK_SSD_IO_M3
      title: >-
        the list of available types will be clarified later, it is not final
        version
      type: string
    v1JobSpecMysteryBoxSecretRef:
      description: Reference to a MysteryBox secret.
      properties:
        secretId:
          description: MysteryBox secret ID.
          type: string
        versionId:
          description: MysteryBox secret version ID.
          type: string
      type: object
    v1JobSpecPortProtocol:
      default: PROTOCOL_UNSPECIFIED
      description: |-
        Represents protocol of the job's port which will be exposed.

         - HTTP: HTTP protocol.
         - TCP: TCP protocol.
         - UDP: UDP protocol.
      enum:
        - PROTOCOL_UNSPECIFIED
        - HTTP
        - TCP
        - UDP
      type: string
    v1JobSpecVolumeMountMode:
      default: MODE_UNSPECIFIED
      description: |-
        Mode that will be used to mount the volume.

         - READ_WRITE: Read-write mode.
         - READ_ONLY: Read-only mode.
      enum:
        - MODE_UNSPECIFIED
        - READ_WRITE
        - READ_ONLY
      type: string
    v1JobSpecVolumeMountS3Config:
      description: |-
        Config for accessing an external S3-compatible storage.

        The bucket name is specified in the `source` field as an S3 URI.
      properties:
        credentials:
          $ref: '#/components/schemas/v1JobSpecVolumeMountS3ConfigS3Credentials'
        endpoint:
          description: S3-compatible endpoint URL (e.g. "https://s3.amazonaws.com").
          type: string
        mysteryboxSecret:
          $ref: '#/components/schemas/v1JobSpecVolumeMountS3ConfigMysteryBoxSecretRef'
        region:
          description: S3 region.
          type: string
      required:
        - endpoint
        - region
      type: object
    InstanceStatusInstanceState:
      default: UNSPECIFIED
      enum:
        - UNSPECIFIED
        - CREATING
        - UPDATING
        - STARTING
        - RUNNING
        - STOPPING
        - STOPPED
        - DELETING
        - ERROR
      type: string
    v1JobInstanceStatusState:
      default: STATE_UNSPECIFIED
      description: |-
        Job instance state.

         - PROVISIONING: The job is creating resources.
         - STARTING: The job is being started.
         - RUNNING: The job is running.
         - COMPLETING: The job is completing.
         - CANCELLING: The job is being cancelled.
         - DELETING: The job is being deleted.
         - COMPLETED: The job has successfully completed.
         - FAILED: The job has failed.
         - CANCELLED: The job has been cancelled.
         - ERROR: The job encountered an internal error.
         - IMAGE_PULLING: The job is pulling an image (STARTING -> IMAGE_PULLING -> RUNNING).
      enum:
        - STATE_UNSPECIFIED
        - PROVISIONING
        - STARTING
        - RUNNING
        - COMPLETING
        - CANCELLING
        - DELETING
        - COMPLETED
        - FAILED
        - CANCELLED
        - ERROR
        - IMAGE_PULLING
      type: string
    v1ServiceError:
      properties:
        badRequest:
          $ref: '#/components/schemas/v1BadRequest'
        badResourceState:
          $ref: '#/components/schemas/v1BadResourceState'
        code:
          description: |-
            Detailed error code, service-specific. E.g. "DnsZoneNotEmpty".
            Name of the exception, without Exception suffix if not set.
            Example: for PermissionDeniedException -> code == PermissionDenied.
          type: string
        internalError:
          $ref: '#/components/schemas/v1InternalError'
        notEnoughResources:
          $ref: '#/components/schemas/v1NotEnoughResources'
        operationAborted:
          $ref: '#/components/schemas/v1OperationAborted'
        operationConflict:
          $ref: '#/components/schemas/v1OperationConflict'
        outOfRange:
          $ref: '#/components/schemas/v1OutOfRange'
        permissionDenied:
          $ref: '#/components/schemas/v1PermissionDenied'
        quotaFailure:
          $ref: '#/components/schemas/v1QuotaFailure'
        resourceAlreadyExists:
          $ref: '#/components/schemas/v1ResourceAlreadyExists'
        resourceConflict:
          $ref: '#/components/schemas/v1ResourceConflict'
        resourceNotFound:
          $ref: '#/components/schemas/v1ResourceNotFound'
        retryType:
          $ref: '#/components/schemas/ServiceErrorRetryType'
        service:
          description: ID of Service which the error originated in. E.g. "dns".
          type: string
        tooManyRequests:
          $ref: '#/components/schemas/v1TooManyRequests'
      type: object
    v1JobSpecVolumeMountS3ConfigS3Credentials:
      description: Inline S3 credentials.
      properties:
        accessKeyId:
          description: Access key ID.
          type: string
        secretAccessKey:
          description: Secret access key.
          type: string
        sessionToken:
          description: Session token (optional, for temporary credentials).
          type: string
      required:
        - accessKeyId
        - secretAccessKey
      type: object
    v1JobSpecVolumeMountS3ConfigMysteryBoxSecretRef:
      description: Reference to a MysteryBox secret.
      properties:
        secretId:
          description: MysteryBox secret ID.
          type: string
        versionId:
          description: MysteryBox secret version ID.
          type: string
      type: object
    v1BadRequest:
      description: The request is invalid.
      properties:
        violations:
          description: Describes all violations.
          items:
            $ref: '#/components/schemas/v1BadRequestViolation'
          type: array
      type: object
    v1BadResourceState:
      description: >-
        The resource we are trying to use, create, change or delete is in a bad
        state and cannot be used.
      properties:
        message:
          description: The reason why this state is bad and cannot be used.
          type: string
        resourceId:
          description: ID of the resource which is bad.
          type: string
      type: object
    v1InternalError:
      description: Generic internal error.
      properties:
        requestId:
          description: Error request ID.
          type: string
        traceId:
          description: Trace ID for the failing request.
          type: string
      type: object
    v1NotEnoughResources:
      description: >-
        Indicates that there are not enough resources available to perform the
        requested action.
      properties:
        violations:
          description: Describes all resource violations.
          items:
            $ref: '#/components/schemas/v1NotEnoughResourcesViolation'
          type: array
      type: object
    v1OperationAborted:
      description: Operation on the resource has been aborted by a subsequent operation.
      properties:
        abortedByOperationId:
          description: ID of the subsequent operation.
          type: string
        operationId:
          description: ID of the aborted operation.
          type: string
        resourceId:
          description: Resource ID corresponding to both of the operations.
          type: string
      type: object
    v1OperationConflict:
      description: >-
        Operation cannot be started because a conflicting operation is already
        running on the same resource.

        Wait until the conflicting operation finishes, then you can retry
        starting your operation.
      properties:
        conflictingOperationId:
          description: ID of the conflicting operation (the one that's running).
          type: string
        resourceId:
          description: Resource ID corresponding to the conflicting operation.
          type: string
      type: object
    v1OutOfRange:
      description: >-
        Indicates that element with requested parameters is exceeding the
        particular range.
      properties:
        limit:
          description: Available limit.
          type: string
        requested:
          description: Requested value.
          type: string
      type: object
    v1PermissionDenied:
      description: >-
        Indicates that the action cannot be performed because there are
        insufficient access rights to a resource.
      properties:
        resourceId:
          description: ID of the resource that cannot be accessed.
          type: string
      type: object
    v1QuotaFailure:
      description: >-
        Indicates a failure due to exceeding specified limits or allocations in
        a system or service.
      properties:
        violations:
          description: Describes all quota violations.
          items:
            $ref: '#/components/schemas/v1QuotaFailureViolation'
          type: array
      type: object
    v1ResourceAlreadyExists:
      description: Resource we are trying to create already exists.
      properties:
        resourceId:
          description: ID of the existing resource.
          type: string
      type: object
    v1ResourceConflict:
      description: >-
        There is a difference between the actual resource state and the expected
        one.
      properties:
        message:
          description: Detailed info about conflict.
          type: string
        resourceId:
          description: ID of conflicting resource.
          type: string
      type: object
    v1ResourceNotFound:
      description: Resource we are trying to interact with does not exist.
      properties:
        resourceId:
          description: ID of the requested resource.
          type: string
      type: object
    ServiceErrorRetryType:
      default: UNSPECIFIED
      description: |2-
         - CALL: Just retry the failed call.
         - UNIT_OF_WORK: Retry whole logic before call and make a new one.
         - NOTHING: Do not retry, this is a fatal error.
      enum:
        - UNSPECIFIED
        - CALL
        - UNIT_OF_WORK
        - NOTHING
      type: string
    v1TooManyRequests:
      description: >-
        You initiated too many requests to the service at once. Enhance your
        calm.
      properties:
        violation:
          description: What request limit is exceeded (service-dependent).
          type: string
      type: object
    v1BadRequestViolation:
      properties:
        field:
          description: What field value is invalid.
          type: string
        message:
          description: Description why the value is invalid, in English.
          type: string
      type: object
    v1NotEnoughResourcesViolation:
      properties:
        message:
          description: A description of how the resource is insufficient.
          type: string
        requested:
          description: Requested value.
          type: string
        resourceType:
          title: >-
            The type of resource that is insufficient.

            This field is populated when it is possible to determine the lacking
            resource type.

            **Not for programmatic use.**
          type: string
      type: object
    v1QuotaFailureViolation:
      properties:
        limit:
          description: Maximum permissible value.
          type: string
        message:
          description: A description of how the quota check failed.
          type: string
        quota:
          description: Which quota check failed.
          type: string
        requested:
          description: Requested value.
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      description: The Authorization header expects a Bearer token.
      scheme: bearer
      type: http

````